package io.gisbi.extensions.view.plugin;

import io.gisbi.exception.DEException;
import io.gisbi.extensions.view.factory.PluginsChartFactory;
import io.gisbi.extensions.view.vo.XpackPluginsViewVO;

public abstract class DataEaseChartPlugin extends AbstractChartPlugin  {


    public void loadPlugin() {
        XpackPluginsViewVO viewConfig = getConfig();
        PluginsChartFactory.loadPlugin(viewConfig.getRender(), viewConfig.getChartValue(), this);
    }

    public XpackPluginsViewVO getConfig() {
//        DataEasePluginVO pluginInfo = null;
//        try {
//            pluginInfo = getPluginInfo();
//        } catch (Exception e) {
//            DEException.throwException(e);
//        }
//        String config = pluginInfo.getConfig();
//        XpackPluginsViewVO vo = JsonUtil.parseObject(config, XpackPluginsViewVO.class);
//        vo.setIcon(pluginInfo.getIcon());
        return null;
    }
}
